Page MenuHomePhabricator

Platforms are Products too!
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session
Main topic: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/How_to_manage_our_technical_debt

The problem

The focus on the development of user facing features has lead to little investment in addressing MediaWiki's technical debt. Realizing that the product "verticals" rest on platforms, and treating these platforms are products in their own right, with users and stakeholders, would help to pay back this debt. Less technical debt in the platform means quicker feature development on the user facing level; it also means easier entry and less frustration for new hires and new volunteers.

Expected outcome

A shared understanding of which platform-level products exist, and a recommendation for a management structure that reflects these products.

Current status of the discussion

-/-

Links

Session Agenda

  • discuss how platforms are products too, and verticals need a foundation
  • discuss how ownership is important for a platform, to provide a vision and guidance looking forwards, and to address technical dept looking back
  • discuss what the architecture committee's role could be for defining and developing the mediawiki platform as a product

Event Timeline

daniel created this task.Oct 30 2016, 7:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2016, 7:38 PM
Reedy updated the task description. (Show Details)Oct 30 2016, 11:31 PM
Tgr awarded a token.Oct 31 2016, 1:45 AM
Tgr added a comment.Oct 31 2016, 1:57 AM

Also a shared understanding of who the users/stakeholders are? Ie, should the WMF target MediaWiki the product for other WMF developers? For all developers within the Wikimedia movement? For all MediaWiki developers, period? And if the WMF does not do that, should someone else? (Admittedly that's a large enough topic for a separate discussion.)

Tgr updated the task description. (Show Details)Oct 31 2016, 2:00 AM

@Tgr yea, that ties in with the MediaWiki Foundation topic. You are right that there should be some room here to talk about who the users of the platform are. To me, the simplistic answer is: extension authors and other developers of "vertical" features.

Tgr added a comment.Oct 31 2016, 10:57 AM

They are users in the general sense, sure. The question is, are they part of the target audience of whatever management structure would hopefully result from the discussion? In the end, that is a movement strategy question: should the Wikimedia movement spend resources on supporting MediaWiki users who are not part of of the movement? Historically, the answer was no (or at least, spending very little - the WMF does pay for some stuff which is not really useful for Wikimedians, such as MW release management). If you want to initiate a discussion about changing that, the timing seems right (with the movement strategy discussion ongoing), but it's worth to be explicit about it.

Anomie added a subscriber: Anomie.Nov 1 2016, 1:06 PM
Siznax added a subscriber: Siznax.Nov 15 2016, 7:42 PM
demon awarded a token.Nov 18 2016, 4:36 AM
Joe added a subscriber: Joe.Nov 20 2016, 11:03 PM
Qgil added a subscriber: Qgil.

I think this session has more to do with TechCom and the Technology and Product departments than with Developer Relations.

Qgil updated the task description. (Show Details)Nov 22 2016, 1:29 PM
greg triaged this task as Normal priority.Nov 30 2016, 10:59 PM

@Tgr my intention is mainly to start considering ourselves (payed WMF and WM* staff) users of the mediawiki plattform. 3rd party developers should also be considered users, but I agree that support for that group is a larger strategic discussion.

daniel updated the task description. (Show Details)Dec 15 2016, 3:19 PM
daniel added a comment.Jan 5 2017, 8:09 PM

At the ArchCom office hour on December 21, we discussed some questions that may be relevant to this sessions. See the meeting log: https://tools.wmflabs.org/meetbot/wikimedia-office/2016/wikimedia-office.2016-12-21-22.00.log.html

daniel updated the task description. (Show Details)Jan 5 2017, 8:14 PM

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

greg closed this task as Resolved.EditedJan 20 2017, 8:03 PM

Summary: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Platforms_are_Products_too

Action items: